summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2014-10-29 16:01:44 +0100
committerHolger Levsen <holger@layer-acht.org>2014-10-29 16:01:44 +0100
commitb433214b26d639aea85e1f8a2d6571ef8bc82e9c (patch)
tree5ab7ce9931204de5e9169725a8c8c635f1b36353
parentb35d3ff03cb529fee205ea72b1f3858630e0cbf0 (diff)
downloadjenkins.debian.net-b433214b26d639aea85e1f8a2d6571ef8bc82e9c.tar.xz
g-i-i: remove expected errors from output
-rw-r--r--bin/g-i-installation.sh6
1 files changed, 2 insertions, 4 deletions
diff --git a/bin/g-i-installation.sh b/bin/g-i-installation.sh
index 23cc8a0e..83859144 100644
--- a/bin/g-i-installation.sh
+++ b/bin/g-i-installation.sh
@@ -112,12 +112,10 @@ cleanup_all() {
#
# cleanup image mount
#
- ( sudo umount -l $IMAGE_MNT ; rmdir $IMAGE_MNT ) &
+ ( sudo umount -l $IMAGE_MNT && rmdir $IMAGE_MNT ) 2> /dev/null &
cd $RESULTS
echo -n "Last screenshot: "
- if [ -f snapshot_000000.ppm ] ; then
- ls -t1 snapshot_??????.ppm | tail -1
- fi
+ (ls -t1 snapshot_??????.ppm || true ) | tail -1
#
# create video
#